using MWS.Model;
using MWS.Model.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Data.InterFace
{
    public interface IFixedCalibration : IDapperHelper
    {
        List<FixedCalibrationDto> GetAll();
        Task<List<T_FixedCalibration>> GetModels(string keyword, string sortingProperty = "Id", bool ascending = false);
        List<T_FixedCalibration> GetPagingModels(string keyword, out int totalCount, int pageIndex = 1, int pageSize = 20, string sortingProperty = "Id", bool ascending = false);
    }
}
